package com.p3.bewoplaner.page.login;

import com.p3.bewoplaner.page.main.LogoutNavigation;
import com.p3.bewoplaner.page.main.MainNavigation;
import com.p3.bewoplaner.page.mvp.MVPLceView;

/**
 * Created by laszloffiferenc on 2/21/17.
 */
interface LoginView extends MVPLceView {
    void loginSuccessful();

    void setCallback(Callback callback);

    void voucherIsValid();

    void voucherIsNotValid();

    interface Callback {

        void checkVoucher(String customerId, String voucher, String password, boolean isChecked);

        void tryToLogin(String email, String password);

        void tryToRegisterDevice(String deviceId, String fcmToken);

        void logout(String deviceId, boolean clearAllPrefs, MainNavigation mainNavigation);

        void tryToLogout(String deviceId, MainNavigation mainNavigation);

        void checkIfVoucherStillAvailable(LogoutNavigation logoutNavigation);
    }
}
